## Tcl8.6.2/Tk8.6.2 Documentation > Tk Commands, version 8.6.2 > frame

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

  NAME
    frame — Create and manipulate 'frame' simple container widgets
  SYNOPSIS
  STANDARD OPTIONS
    -borderwidth or -bd, borderWidth, BorderWidth
    -cursor, cursor, Cursor
    -highlightbackground, highlightBackground, HighlightBackground
    -highlightcolor, highlightColor, HighlightColor
    -highlightthickness, highlightThickness, HighlightThickness
    -padx, padX, Pad
    -pady, padY, Pad
    -relief, relief, Relief
    -takefocus, takeFocus, TakeFocus
  WIDGET-SPECIFIC OPTIONS
    -background, background, Background
    -class, class, Class
    -colormap, colormap, Colormap
    -container, container, Container
    -height, height, Height
    -visual, visual, Visual
    -width, width, Width
  DESCRIPTION
  WIDGET COMMAND
    pathName cget option
    pathName configure ?option? ?value option value ...?
  BINDINGS
  SEE ALSO
  KEYWORDS

### NAME

frame — Create and manipulate 'frame' simple container widgets

### SYNOPSIS

frame pathName ?options?

### STANDARD OPTIONS

-borderwidth or -bd, borderWidth, BorderWidth
-cursor, cursor, Cursor
-highlightbackground, highlightBackground, HighlightBackground
-highlightcolor, highlightColor, HighlightColor
-highlightthickness, highlightThickness, HighlightThickness
-padx, padX, Pad
-pady, padY, Pad
-relief, relief, Relief
-takefocus, takeFocus, TakeFocus

### WIDGET-SPECIFIC OPTIONS

Command-Line Name: -background
Database Name: background
Database Class: Background
  This option is the same as the standard -background option except that its value may also be specified as an empty string. In this case, the widget will display no background or border, and no colors will be consumed from its colormap for its background and border.

Command-Line Name: -class
Database Name: class
Database Class: Class
  Specifies a class for the window. This class will be used when querying the option database for the window's other options, and it will also be used later for other purposes such as bindings. The -class option may not be changed with the configure widget command.

Command-Line Name: -colormap
Database Name: colormap
Database Class: Colormap
  Specifies a colormap to use for the window. The value may be either new, in which case a new colormap is created for the window and its children, or the name of another window (which must be on the same screen and have the same visual as pathName), in which case the new window will use the colormap from the specified window. If the -colormap option is not specified, the new window uses the same colormap as its parent. This option may not be changed with the configure widget command.

Command-Line Name: -container
Database Name: container
Database Class: Container
  The value must be a boolean. If true, it means that this window will be used as a container in which some other application will be embedded (for example, a Tk toplevel can be embedded using the -use option). The window will support the appropriate window manager protocols for things like geometry requests. The window should not have any children of its own in this application. This option may not be changed with the configure widget command. Note that -borderwidth, -padx and -pady are ignored when configured as a container since a container has no border.

Command-Line Name: -height
Database Name: height
Database Class: Height
  Specifies the desired height for the window in any of the forms acceptable to Tk_GetPixels. If this option is less than or equal to zero then the window will not request any size at all. Note that this sets the total height of the frame, any -borderwidth or similar is not added. Normally -height should not be used if a propagating geometry manager, such as grid or pack, is used within the frame since the geometry manager will override the height of the frame.

Command-Line Name: -visual
Database Name: visual
Database Class: Visual
  Specifies visual information for the new window in any of the forms accepted by Tk_GetVisual. If this option is not specified, the new window will use the same visual as its parent. The -visual option may not be modified with the configure widget command.

Command-Line Name: -width
Database Name: width
Database Class: Width
  Specifies the desired width for the window in any of the forms acceptable to Tk_GetPixels. If this option is less than or equal to zero then the window will not request any size at all. Note that this sets the total width of the frame, any -borderwidth or similar is not added. Normally -width should not be used if a propagating geometry manager, such as grid or pack, is used within the frame since the geometry manager will override the width of the frame.

### DESCRIPTION

The frame command creates a new window (given by the pathName argument) and makes it into a frame widget. Additional options, described above, may be specified on the command line or in the option database to configure aspects of the frame such as its background color and relief. The frame command returns the path name of the new window.

A frame is a simple widget. Its primary purpose is to act as a spacer or container for complex window layouts. The only features of a frame are its background color and an optional 3-D border to make the frame appear raised or sunken.

### WIDGET COMMAND

The frame command creates a new Tcl command whose name is the same as the path name of the frame's window. This command may be used to invoke various operations on the widget. It has the following general form:

    pathName option ?arg arg ...?

PathName is the name of the command, which is the same as the frame widget's path name. Option and the args determine the exact behavior of the command. The following commands are possible for frame widgets:

pathName cget option
  Returns the current value of the configuration option given by option. Option may have any of the values accepted by the frame command.

pathName configure ?option? ?value option value ...?
  Query or modify the configuration options of the widget. If no option is specified, returns a list describing all of the available options for pathName (see Tk_ConfigureInfo for information on the format of this list). If option is specified with no value, then the command returns a list describing the one named option (this list will be identical to the corresponding sublist of the value returned if no option is specified). If one or more option-value pairs are specified, then the command modifies the given widget option(s) to have the given value(s); in this case the command returns an empty string. Option may have any of the values accepted by the frame command.

### BINDINGS

When a new frame is created, it has no default event bindings: frames are not intended to be interactive.

### SEE ALSO

labelframe, toplevel, ttk::frame

### KEYWORDS

frame, widget
Copyright © 1990-1994 The Regents of the University of California. Copyright © 1994-1996 Sun Microsystems, Inc.